# academics/attendance_urls.py
from django.urls import path
from . import views

app_name = 'attendance'

urlpatterns = [
    # Attendance
    path('', views.AttendanceListView.as_view(), name='attendance_list'),
    path('mark/', views.AttendanceMarkingView.as_view(), name='mark_attendance'),
    path('report/', views.AttendanceReportView.as_view(), name='attendance_report'),
    path('student/<int:student_id>/', views.StudentAttendanceView.as_view(), name='student_attendance'),
    
    # API
    path('api/today/', views.get_today_attendance, name='today_attendance_api'),
]